#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    ofBackground(0);
    myFont.loadFont("Abel-Regular.ttf", 100);
    centerX=ofGetWidth()/2;
    centerY=ofGetHeight()/2;
    //getStringBoundingBox gives you the measurements of a string using a specific font
    textBox = myFont.getStringBoundingBox("openFrameworks", 0, 0);
    posX=0;
}

//--------------------------------------------------------------
void ofApp::update(){
    posX+=0.01;
}

//--------------------------------------------------------------
void ofApp::draw(){
    //printf("%f ;",ofGetFrameRate());
    cout<<ofGetFrameRate()<<endl;
    ofSetColor(255, 0, 0);
    
    //ofPush Matrix and ofPopMatrix identify what will get affected by a transformation - all which is in between the 2 statements
    ofPushMatrix();
    ofTranslate(centerX,centerY);
    ofRotateX(ofGetFrameNum()*2);
    ofRotateY(ofGetFrameNum()*2);
    ofRotateZ(ofGetFrameNum()*2);
    myFont.drawString("openFrameworks", 0-textBox.width/2, 0);
    ofPopMatrix();
    ofSetColor(255);
    ofDrawBitmapString("Multimedia",sin(posX)*centerX+centerX,50);
    ofDrawBitmapString("Authoring",cos(posX)*centerX+centerX,50);
    

}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}